Gradle 6 提示有内容将会在 7 的时候被丢弃

在编译的时候有下面的警告提示:

Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.

Use ‘–warning-mode all’ to show the individual deprecation warnings.
See https://docs.gradle.org/6.3/userguide/command_line_interface.html#sec:command_line_warnings

CONFIGURE SUCCESSFUL in 14s

如何进行查看和操作?

解决办法

其实这是一个比较简单的问题。

上面的提示信息已经告诉你怎么运行了。

你可以运行命令

gradlew --warning-mode all

在输出中,你可以看到下面的信息

Configure project :
The compile configuration has been deprecated for dependency declaration. This will fail with an error in Gradle 7.0. Please use the implementation configuration instead. Consult the upgrading guide for further information: https://
docs.gradle.org/6.3/userguide/upgrading_version_5.html#dependencies_should_no_longer_be_declared_using_the_compile_and_runtime_configurations
at build_45djmc9u5bi478od1utks361r$_run_closure1$_closure8.doCall(C:\WorkDir\Ossez-Com\USData\Source-Code\covid-19\build.gradle:53)
(Run with --stacktrace to get the full stack trace of this deprecation warning.)

上面的内容已经很明确的告诉你存在兼容性问题的地方在哪里。

根据提示的内容进行修改就可以了。

上面的说明是: Please use the implementation configuration instead

你使用 implementation 配置就行了。